import csv
import tkinter as tk
from tkinter import filedialog
from tkinter import messagebox

# Function to select a CSV file
def select_file():
    file_path = filedialog.askopenfilename()
    if file_path:
        with open(file_path,newline='') as csvfile:
            dialect = csv.Sniffer().sniff(csvfile.read(1024))
            csvfile.seek(0)
            reader = csv.reader(csvfile, dialect)            
            # Display CSV data as a scrollbar list
            listbox.delete(0, tk.END)
            next(reader)
            for row in reader:
                print(', '.join(row))
                listbox.insert(tk.END, row)
                
# Function to save the CSV file
def save_file():
    file_path = filedialog.asksaveasfilename(defaultextension='.csv')
    if file_path:
        with open(file_path, 'w', newline='') as csvfile:
            writer = csv.writer(csvfile)
            for i in range(listbox2.size()):
                writer.writerow(listbox2.get(i))
                print(i)
        messagebox.showinfo('Save', 'File saved successfully')
        
       
# Create the button function
def move_data():
    # Get the selected items from listbox
    for item in listbox.get(0, 'end'):
        item = str(item)
        item = ' '.join(item.split()) # remove multiple spaces
        print(item)
        listbox2.insert[(tk.END, item)]
        
       


root = tk.Tk()
root.title('CSV Editor')
root.geometry('1280x720')

# Frame to put List1 and SB into
list_one_frame = tk.Frame(root)
list_one_frame.pack(fill='both',expand=True)
# Create the listbox
listbox = tk.Listbox(list_one_frame)

# Create the scrollbar
scrollbarv = tk.Scrollbar(list_one_frame, orient=tk.VERTICAL)
scrollbarh = tk.Scrollbar(list_one_frame, orient=tk.HORIZONTAL)

# Link the scrollbar to the listbox
listbox.config(yscrollcommand=scrollbarv.set, xscrollcommand=scrollbarh.set)
scrollbarv.config(command=listbox.yview)
scrollbarh.config(command=listbox.xview)

#Displayorientation listbox1 and scrollbar
scrollbarh.pack(side=tk.BOTTOM, fill=tk.X)
listbox.pack(side=tk.LEFT,fill=tk.BOTH,expand=True)
scrollbarv.pack(side=tk.RIGHT, fill=tk.Y)

# Frame to put List1 and SB into
list_two_frame = tk.Frame(root)
list_two_frame.pack(fill='both',expand=True)

# Create the listbox2
listbox2 = tk.Listbox(list_two_frame)

# Create the scrollbar2.v
scrollbar2v = tk.Scrollbar(list_two_frame, orient=tk.VERTICAL)
scrollbar2h = tk.Scrollbar(list_two_frame, orient=tk.HORIZONTAL)

# Link the scrollbar to the listbox2
listbox2.config(yscrollcommand=scrollbar2v.set, xscrollcommand=scrollbar2h.set)
scrollbar2v.config(command=listbox2.yview)
scrollbar2h.config(command=listbox2.xview)

#Displayorientation listbox2 and scrollbar
scrollbar2h.pack(side=tk.BOTTOM, fill=tk.X)
listbox2.pack(side=tk.LEFT,fill=tk.BOTH,expand=True)
scrollbar2v.pack(side=tk.RIGHT, fill=tk.Y)

# Create the button
button = tk.Button(root, text="Remove Spaces", command=move_data)   

# Button to remove multiple spaces in the second CSV file

button.pack(side=tk.LEFT)

# Create the menu bar
menubar = tk.Menu(root)
root.config(menu=menubar)

# Create the file menu
file_menu = tk.Menu(menubar, tearoff=0)
menubar.add_cascade(label='File', menu=file_menu)
file_menu.add_command(label='Open', command=select_file)
file_menu.add_command(label='Save', command=save_file)
file_menu.add_separator()
file_menu.add_command(label='Exit', command=root.quit)





# Start the main loop
root.mainloop()


